{% extends 'base.html' %}
{% load static %}
{% load getStatus %}

{% block title %}
Search Results | Booked
{% endblock %}

{% block content %}
<div class="container-fluid">
    <div class="row">
        <div class="col-md-8 col-md-offset-2 col-xs-12 col-sm-10 col-sm-offset-1">
            <ul  class="nav nav-tabs" style="background-color:white;">
                <li class="people col-md-6 col-xs-12 col-sm-6"><a href="?type=books&q={{ query }}">Books</a>
                <li class="people col-md-6 col-xs-12 col-sm-6"><a href="?type=people&q={{ query }}">People</a>
                </li>
            </ul>

            <div class="tab-content clearfix">
                <div class="tab-pane active" id="1a">
                    <div class="row container-fluid">
                        {% if type != 'people' %}
                        <h2>
                            <span>Search results for Books</span>
                        </h2>
                        <div id="Books"  style="margin-top:6px;margin-bottom:10px;">

                            {% for book,coverPhoto in books %}
                        <a href ="/books/{{book.pk}}/">
                            <div class="row">
                                <div class="col-md-10 col-md-offset-1 col-xs-12 col-sm-12">
                                    <div class="row books">
                                        {% if coverPhoto %}
                                        <div class="col-md-3 col-xs-3 col-sm-3">
                                            <img src="{{ coverPhoto.photo.url }}" style="height:150px;display:block;">
                                        </div>
                                        {% else %}
                                        <div class="col-md-3 col-xs-3 col-sm-3">
                                            <img src="/static/img/Books-512.png" style="height:150px;display:block;">
                                        </div>
                                        {% endif %}
                                        <div class="col-md-7 col-md-offset-1 col-sm-7 col-sm-offset-1 col-xs-7 col-xs-offset-1" style="margin-top:140px;">
                                            <span style="color:#212121;font-family:'Josefin Sans', sans-serif !important;font-weight:600;"> 
                                                {{ book.title }} by {{ book.author }}</span>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </a>
                            {% endfor %}
                        </div>

                        {% else %}
                        <h2> 
                            <span>Search results for People</span>
                        </h2>
                        <div id="People" style="width:100%; height:100%;">

                            {% for p in people %}
                            <div class="row">
                                <div class="col-md-10 col-md-offset-1 col-xs-12 col-sm-12">
                                    <div class="row books">
                                        {% if p.profilePic %}
                                        <div class="col-md-4 col-xs-4 col-sm-6">
                                            <img src="{{ p.profilePic.url }}" style="height:150px;display:block;">
                                        </div>
                                        {% else %}
                                        <div class="col-md-4 col-xs-4 col-sm-6">
                                            <img src="/static/img/78373.png" style="height:150px;display:block;">
                                        </div>
                                        {% endif %}
                                        <div class="col-md-6 col-md-offset-1 col-sm-6 col-sm-offset-1 col-xs-6 col-xs-offset-1" style="margin-top:140px;">

                                            <a href="/people/{{ p.pk }}/" style="color:#212121;font-family:'Josefin Sans', sans-serif !important;font-weight:600;">{{ p.name }} aka {{ p.penName }}</a>

                                        </div>


  {% get_St fol p as g %}
<div class="col-md-12 col-xs-6 col-sm-3">
  <a class="waves-effect waves-light btn darkBlue Button" data-toggle="modal" href="/follow/{{ p.id }}" >Follow {{g}} </a>
                        </div>
<div class="col-md-12 col-xs-6 col-sm-3">
     <a class="waves-effect waves-light btn darkBlue Button" data-toggle="modal" href="/people/{{upk}}/msg/{{ p.id }}/" >message {{g}} </a>
</div>


                                    </div>
                                </div>


                            </div>   
                            {% endfor %}  
                        </div>
                        {% endif %}

                        <div class="row">
                            <div class="col-md-10 col-md-offset-1 col-xs-12 col-sm-12">
                                <ul class="pagination">
                                    {% for i in totalPages %}
                                    {% if i == pageNumber %}
                                    <li class="active">
                                    <a href='/search?q={{ query }}&page={{ i }}'>{{ i }}</a>
                                    </li>
                                    {% else %}
                                    <li>
                                    <a href='/search?q={{ query }}&page={{ i }}'>{{ i }}</a>
                                    </li>
                                    {% endif %}
                                    {% endfor %}
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="tab-pane" id="2a">
                    <div class="row container-fluid">
                        <div class="row">
                            <div class="col-md-10 col-md-offset-1 col-xs-12 col-sm-12">
                                <ul class="pagination">
                                    {% for i in totalPages %}
                                    {% if i == pageNumber %}
                                    <li class="active">
                                    <a href='/search?q={{ query }}&page={{ i }}'>{{ i }}</a>
                                    </li>
                                    {% else %}
                                    <li>
                                    <a href='/search?q={{ query }}&page={{ i }}'>{{ i }}</a>
                                    </li>
                                    {% endif %}
                                    {% endfor %}
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>


<!-- Verification Modal -->
<div id="verificationModal" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Checkout</h4>
            </div>
            <div class="modal-body">
                <p>We need to send an OTP to your registered mobile number and email id.</p>
                <form action="#" method="get" accept-charset="utf-8">
                    <p>
                    Shipping Address: 
                    <textarea class="form-control" name="address" id="address" rows="2" cols="40"></textarea>
                    <br/>
                    Amount: 
                    <span id='amountSpan'></span>
                    <br/>
                    Payment Option: 
                    <select class="form-control" name="paymentOption" id="paymentOption" onchange="" size="1">
                        <option value="COD">Cash On Delivery</option>
                        <option value="Online">Online Payment (Netbanking, Debit Cards etc)</option>
                    </select>

                    <!-- Rent from Date -->
                    <!-- TODO: Show calendar -->
                    <!-- <input type="text" name="startDate" id="startDate" class='form-control' placeholder='dd-mm-yy' value=""> -->

                    <label id='labelDuration' for="duration">Number of Days for Renting</label>
                    <input class="form-control" type="number" name="duration" id="duration" value="">
                    </p>
                    <div id="otpError" style="background:yellow;display:none;">
                        <h3>There was an error trying to send the otp. Please try again later!</h3>
                    </div>
                    <div id="incorrectOtp" style="background:red;display:none;">
                        <h3>The OTP you entered was incorrect or already used by you.</h3>
                    </div>
                    <div id="otpVerify" style="display:none;">
                        <h3>An OTP has been sent to your mobile number and email id.</h3>
                        Enter OTP:<input class="form-control" type="text" name="otp" id="otp" value=""> 
                        <button id='otpVerifyBtn' type="button" class="btn btn-info" onclick='verifyOtp();'>Verify and Confirm Order</button>
                    </div>
                    <p>
                    <button id='sendOtpBtn' type="button" class="btn btn-info" onclick='sendOtp();'>Send OTP</button>
                    </p>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>

    </div>
</div>
<!-- Verification Modal -->

<div id="hiddenForm" class="name">
</div>

{% endblock %}

{% block scripts %} 
{% endblock %}
